<template>
  <div>
    <div class="card-image waves-effect waves-block waves-light">
      <div class="video-area">
        <!-- <router-link
          to="corvus"
          class="center waves-effect waves-light btn center-align"
        >Mas información</router-link>-->

        <video
          class="valign-wrapper responsive-video"
          id="videoBG"
          poster="@/assets/img/corvus-img.jpg"
          autoplay
          muted
          loop
        >
          <source src="@/assets/videos/corvus.mp4" type="video/mp4" />
        </video>
        <div class="caption center-align">
          <h3>This is our big Tagline!</h3>
          <h5 class="light grey-text text-lighten-3">Here's our small slogan.</h5>
        </div>
      </div>
    </div>
  </div>
</template>
<style>
.video-area {
  height: 90vh;
}
.video {
  position: fixed;
  z-index: -1;
  width: 100%;
  height: auto;
}

@media (min-aspect-ratio: 16/9) {
  #videoBG {
    width: 100%;
    height: auto;
  }
}

@media (max-aspect-ratio: 16/9) {
  #videoBG {
    width: auto;
    height: 100%;
  }
}

@media (max-width: 767px) {
  #videoBG {
    display: none;
  }
  body {
    background: url("/assets/img/corvus-img.jpg");
    background-size: cover;
  }
}
video {
  cursor: auto;
}
</style>